org.apache.fop.render

## Class AbstractFOEventHandlerMaker

- java.lang.Object
- - org.apache.fop.render.AbstractFOEventHandlerMaker

Direct Known Subclasses:
  RTFFOEventHandlerMaker

    public abstract class AbstractFOEventHandlerMaker
    extends Object

Base class for factory classes which instantiate FOEventHandlers and provide information about them.

### Constructor Summary

Constructors
Constructor and Description
`AbstractFOEventHandlerMaker()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract String[]` `getSupportedMimeTypes()`
`boolean` `isMimeTypeSupported(String mimeType)` Indicates whether a specific MIME type is supported by this renderer.
`abstract FOEventHandler` `makeFOEventHandler(FOUserAgent ua, OutputStream out)` Instantiates a new FOEventHandler.
`abstract boolean` `needsOutputStream()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractFOEventHandlerMaker

    public AbstractFOEventHandlerMaker()

### Method Detail

#### makeFOEventHandler

    public abstract FOEventHandler makeFOEventHandler(FOUserAgent ua,
                                                      OutputStream out)
                                               throws FOPException

Instantiates a new FOEventHandler.

Parameters:
  `ua` - the user agent
  `out` - OutputStream for the FOEventHandler to use
Returns:
  the newly instantiated FOEventHandler
Throws:
  `FOPException` - if a problem occurs while creating the event handler

#### needsOutputStream

    public abstract boolean needsOutputStream()

Returns:
  Indicates whether this renderer requires an OutputStream to work with.

#### getSupportedMimeTypes

    public abstract String[] getSupportedMimeTypes()

Returns:
  an array of MIME types the renderer supports.

#### isMimeTypeSupported

    public boolean isMimeTypeSupported(String mimeType)

Indicates whether a specific MIME type is supported by this renderer.

Parameters:
  `mimeType` - the MIME type (ex. "application/rtf")
Returns:
  true if the MIME type is supported